/** @type {import('tailwindcss').Config} */
export default {
  content: ['./index.html', './src/**/*.{vue,js,ts,jsx,tsx}'],
  theme: {
    fontFamily: {
      'titles': ['Poppins', 'serif'],
      'default': ['Quicksand', 'serif']
    },
    backgroundSize: {
      'cover': 'cover',
      'contain': 'contain',
      '30px': '30px'
    },
    screens: {
      'xxs': '350px',
      // => @media (min-width: 350px) { ... }

      'xs': '480px',
      // => @media (min-width: 480px) { ... }

      'sm': '640px',
      // => @media (min-width: 640px) { ... }

      'md': '768px',
      // => @media (min-width: 768px) { ... }

      'lg': '1024px',
      // => @media (min-width: 1024px) { ... }

      'xl': '1200px',
      // => @media (min-width: 1280px) { ... }

      '2xl': '1536px',
      // => @media (min-width: 1536px) { ... }
    },
    extend: {
      inset: {
        '1/6': 'calc(100% / 6)',
      },
      invert: {
        80: '0.80'
      },
      dropShadow: {
        'default': '0 3px 6px rgb(0, 0, 0)',
        'text': '1px 1px 5px rgba(0, 0, 0, 0.25)',
        '20': '0 3px 6px rgba(0, 0, 0, 0.2)'
      },
      boxShadow: {
        'character': '0 4px 30px rgba(0, 0, 0, 0.1)',
      },
      colors: {
        red: {
          DEFAULT: '#d50000',
          50: '#d50000',
          100: '#b30000',
          200: '#F44747'
        },
        bordeaux: {
          DEFAULT: '#800020',
          50: '#cc0033',
          100: '#800020',
          200: '#4c0000'
        },
        blue: {
          DEFAULT: '#00c2ff'
        },
        green: {
          DEFAULT: '#09ad19'
        },
        purple: {
          DEFAULT: '#9841e6'
        },
        cyan: {
          DEFAULT: '#0D6D69',
          50: '#5AA39F',
          100: '#0D6D69',
          200: '#376362'
        },
        gray: {
          DEFAULT: '#282828',
          50: '#0C0C0C',
          100: '#282828',
          200: '#454442',
          300: '#888888',
          500: '#B4B4B4',
          600: '#B1B2B5'
        }
      }
    },
  },
  plugins: [],
  corePlugins: {
    preflight: false
  }
}
